
Katello - Bug #23801

Cannot sync Atomic kickstart nor RPMs

06/04/2018 01:24 PM - Daniel Lobato Garcia

Status: Resolved   

Priority: Normal   

Assignee: Partha Aji   

Category: Repositories   

Target version: Katello 3.7.1   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Both the beta channel and the stable one throw different kinds of errors when you try to add these repositories.

Check the attached pictures.

Tested with katello development in forklift.

Related issues:

Related to Katello - Bug #23925: Atomic repos show up for enabling even if os... Closed 06/13/2018

History

#1 - 06/04/2018 01:30 PM - Daniel Lobato Garcia

I refreshed my manifest to see if it makes any difference, but I get 'duplicate key value violates unique constraint "index_katello_pools_on_cp_id"' -

might it be related?

#2 - 06/04/2018 01:31 PM - Daniel Lobato Garcia

candlepin:

Status:          ok

Server Response: Duration: 17ms

candlepin_auth:

Status:          ok

Server Response: Duration: 12ms

pulp:

Status:          ok

Server Response: Duration: 41ms

pulp_auth:

Status:          ok

Server Response: Duration: 18ms

foreman_tasks:

Status:          ok

Server Response: Duration: 3ms

#3 - 06/04/2018 02:19 PM - Thomas McKay

- Project changed from Foreman to Katello

- Category set to Repositories

2018-06-04T14:16:47 [E|app|72f67] Katello::Errors::CdnSubstitutionError: %{unused_substitutes} cannot be speci

fied for %{content_name} as that information is not substitutable in %{content_url} 

 | /home/vagrant/code/katello/app/lib/katello/util/cdn_var_substitutor.rb:31:in `validate_substitutions'

 | /home/vagrant/code/katello/app/models/katello/candlepin/repository_mapper.rb:62:in `validate!'

 | /home/vagrant/code/katello/app/lib/actions/katello/repository_set/enable_repository.rb:11:in `plan'

 | /home/vagrant/code/dynflow/lib/dynflow/action.rb:493:in `block (3 levels) in execute_plan'

 | /home/vagrant/code/dynflow/lib/dynflow/middleware/stack.rb:26:in `pass'

 | /home/vagrant/code/dynflow/lib/dynflow/middleware.rb:18:in `pass'

 | /home/vagrant/code/dynflow/lib/dynflow/middleware.rb:35:in `plan'

 | /home/vagrant/code/dynflow/lib/dynflow/middleware/stack.rb:22:in `call'

 | /home/vagrant/code/dynflow/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /home/vagrant/code/dynflow/lib/dynflow/middleware.rb:18:in `pass'

 | /home/vagrant/code/dynflow/lib/dynflow/middleware.rb:35:in `plan'

#4 - 06/04/2018 02:26 PM - Thomas McKay

Fix for this bug should also include fix in error message code: The vars in string format are not all correct.

https://github.com/Katello/katello/blob/master/app/lib/katello/util/cdn_var_substitutor.rb#L31-L33

#5 - 06/05/2018 11:09 AM - Lukas Zapletal

For the record, I asked RH-RCM to add two lines into treeinfo files because Anaconda was not starting up stage2 for Atomic correctly. Not sure what

they did tho and if this is related or not. Looks like they made some unrelated changes IMHO.

#6 - 06/06/2018 05:55 PM - John Mitsch

- Assignee set to Partha Aji

#7 - 06/13/2018 05:54 PM - Justin Sherrill

The 3rd error about the 'ostree_web_importer' is because the pulp ostree plugin is not installed.  The first two errors are likely more of a concern.

#8 - 06/13/2018 05:55 PM - Justin Sherrill

- Related to Bug #23925: Atomic repos show up for enabling even if ostree plugin is not installed added

#9 - 06/13/2018 05:55 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#10 - 08/03/2018 05:35 PM - Jonathon Turel

- Target version changed from Katello 3.7.0 to Katello 3.7.1

#11 - 09/05/2018 05:37 PM - Partha Aji

- Status changed from New to Resolved

Except for the one all the errors reported in the screen shots seem to have been fixed.

Adding an Atomic Host Beta kickstart gives a "The path /content/beta/rhel/atomic/7/x86_64/kickstart does not seem to be a valid repository. If you

think this is an error, please try refreshing your manifest." . That is more of a cdn issue and not katello. So marking this resolved.
